net.corda.core.serialization

## Class SingletonSerializationToken

- net.corda.core.serialization.SingletonSerializationToken

- All Implemented Interfaces:
    SerializationToken

      public class SingletonSerializationToken
      implements SerializationToken

  A class representing a `interface SerializationToken` for some object that is not serializable but can be looked up (when deserialized) via just the class name.

  See Also:
    `interface SerializationToken`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SingletonSerializationToken.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SingletonSerializationToken.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingletonSerializationToken(SerializeAsToken toBeTokenized)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SingletonSerializationToken` | `copy(java.lang.String className)` A class representing a `interface SerializationToken` for some object that is not serializable but can be looked up (when deserialized) via just the class name.
    `boolean` | `equals(java.lang.Object p)`
    `java.lang.Object` | `fromToken(SerializeAsTokenContext context)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.core.serialization.SerializationToken

      `fromToken`

- - ### Field Detail

    - #### Companion

          public static SingletonSerializationToken.Companion Companion

  - ### Constructor Detail

    - #### SingletonSerializationToken

          public SingletonSerializationToken(SerializeAsToken toBeTokenized)

  - ### Method Detail

    - #### fromToken

          public java.lang.Object fromToken(SerializeAsTokenContext context)

    - #### copy

          public SingletonSerializationToken copy(java.lang.String className)

      A class representing a `interface SerializationToken` for some object that is not serializable but can be looked up (when deserialized) via just the class name.

      See Also:
        `interface SerializationToken`

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)